<?php

use Illuminate\Support\Facades\Storage;

class ImportarController extends \BaseController {

	/**
	 * Muestra grilla de Productos
	 * @return mixed
	 */
	public function index($tipo) {
		$title = 'Importar Productos';
		return View::make('importar.index', compact('title'));
	}

	/**
	 * Genera el json para cargar los datos en jqgrid
	 * @return string
	 */
	public function grabarArchivo()
	{		
		$file     = Input::file("FILE");
		$filename = 'DOC' . uniqid() . '.' . $file->getClientOriginalExtension();
		Input::file("FILE")->move(public_path('/files'), $filename);

		return $filename;
	}
}
